TelepathyQt4: Tp::AbstractClient Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::AbstractClient Class Reference
[Client proxies]

The AbstractClient class provides an object representing a Telepathy client. More...

`#include <TelepathyQt4/AbstractClient>`

Inherits Tp::RefCounted.

Inherited by Tp::AbstractClientApprover`[virtual]`, Tp::AbstractClientHandler`[virtual]`, and Tp::AbstractClientObserver`[virtual]`.

List of all members.

## Public Member Functions

- AbstractClient ()
- virtual ~AbstractClient ()

## Detailed Description

The AbstractClient class provides an object representing a Telepathy client.

Clients are programs used to process channels, approving, handling or observing them. User interface processes are the obvious example of clients, but they can provide other functionality, such as address-book synchronization, message logging, etc.

Each client is either an observer, an approver, a handler, or some combination of these.

Clients can be activatable services (those with a D-Bus .service file) so that they can run in response to channel creation, or non-activatable services (those that do not register a D-Bus .service file for their well-known name, but do request it at runtime) so that they can process channels, but only if they are already running - for instance, a full-screen media center application might do this.

As an optimization, service-activatable clients should install a file $XDG_DATA_DIRS/telepathy/clients/clientname.client containing a cached version of their immutable properties. The syntax of these files is documented in the Telepathy D-Bus API Specification.

Non-activatable clients may install a .client file, but there's not much point in them doing so.

This is a base class and should not be used directly, use the specialized classes AbstractClientObserver, AbstractClientApprover and AbstractClientHandler instead.

If the same process wants to be either a mix of observer, approver and handler, or a combination of those it can multiple inherit the specialized abstract classes.

See also:
  AbstractClientObserver, AbstractClientApprover, AbstractClientHandler

## Constructor & Destructor Documentation

Tp::AbstractClient::AbstractClient | ( |  | ) |

Construct a new AbstractClient object.

Note that this is a base class and should not be used directly, use the specialized classes AbstractClientObserver, AbstractClientApprover and AbstractClientHandler instead.

Tp::AbstractClient::~AbstractClient | ( |  | ) | `[virtual]`

Class destructor.